package cz.moneta.test.dsl.ufo.operations.ufoOperations.taskslist;

import cz.moneta.test.harness.support.web.SelectByValue;

public enum TypesOfViewFilter implements SelectByValue {

    TEAM_TASKS("Úkoly na tým"),
    ASSIGNED_BY_TEAM("Týmem zadané"),
    TEAM_FOR_REVIEW("Týmové k ověření"),
    MY_FOR_PROCESSING("Moje ke zpracování"),
    MY_FOR_VERIFICATION("Moje k ověření"),
    PROCESSED_BY_ME("Mnou zpracované"),
    ASSIGNED_BY_ME("Mnou zadané"),
    MY_FOR_APPROVAL("Moje ke schválení"),
    THIRD_PARTY_TASKS("Na 3. stranách"),
    TASK_SEARCH("Vyhledání úkolů");

    private final String ufoValue;

    TypesOfViewFilter(String ufoValue) {
        this.ufoValue = ufoValue;
    }

    public String getUfoValue() {
        return this.ufoValue;
    }

    @Override
    public String getValue() {
        return this.ufoValue;
    }
}